Tip and tricks from TRAFFIT team

Jarek Wasielewski
Written by Jarek Wasielewski

What are the software requirements to run Traffit?


All you need to use Traffit is the latest version of a web browser. We recommend using Google Chrome.

Categories: